Trace Properties (General Tab)

Use this tab to view or specify the following options.

Options

Trace name

Specify the name of the trace.

Trace SQL Server

Specify the instance of Microsoft® SQL Server™ to trace.

Template name

Select a template from the template directory.

Template file name

Select a template that was previously saved with a .tdf file extension.

Save to file

Capture the trace data to a .trc file. This is useful for saving trace data for later review and analysis. Saving a trace to a file also reduces the memory overhead of SQL Profiler.

If you select to save the trace data to a file, you must specify the maximum size of the trace file. The maximum is 1 gigabyte (GB).

Enable file rollover
Specify that when the maximum file size is reached a new file will be opened to accept the trace data. The new file name will be the original .trc file name with a number appended to it. For example, NewTrace.trc becomes NewTrace_1.trc, NewTrace_2.trc, and so forth, as the maximum file size is reached. This is enabled by default when you save a trace to a file.
Server processes SQL Server trace data
Specify that the server running the trace should process the trace data. If selected, no events will be skipped under stress conditions; however, performance of the server may be affected, depending on the number of events being traced. If this check box is cleared, then the processing is performed by the client application, and there is a possibility that some events will not be traced under stress conditions.

Save to table

Capture the trace data to a database table. This is useful for saving data for later review and analysis. However, saving trace data to a table can incur significant overhead on the server on which the trace is being saved.

Set maximum rows (in thousands)
Specify the largest number of rows in which to save data. The maximum is 9,999,000 rows.

Enable trace stop time

Set the date and time for the trace to end and close itself.

See Also

How to create a trace (SQL Profiler)


Trace Template Properties (General Tab)

Use this tab to view or specify the following options.

Options

File name

View the name of the trace template.

Save trace template

Save the current trace definition as another name.

See Also

Creating and Managing Traces and Templates


Trace File Properties (General Tab)

Use this tab to view or specify the following options.

Options

File name

Specify the name and location of the trace file.

File size (KB)

Specify the file size in kilobytes (KB).

Created

Specify the date and time that the file was created.

Modified

Specify the date and time that the file was updated.

See Also

Creating and Managing Traces and Templates


Trace Table Properties (General Tab)

Use this tab to view or specify the following options.

Options

Table name

Specify the name of the trace table.

Server name

Specify the server on which the trace table is stored.

Rows

Specify how many rows are included in the table.

Data size (pages)

Specify the data size in pages.

See Also

Creating and Managing Traces and Templates

How to save trace results to a table (SQL Profiler)


Properties (Events Tab)

Use this tab to view or specify the following options.

Options

Available event classes

View all events available to trace. When viewing the properties of a saved trace, no event class will be listed.

Selected event classes

View all events selected to trace for a trace or trace template. When viewing the properties of a saved trace, only the events captured will be listed.

Add

Add event classes to a trace or trace template.

Remove

Remove event classes from a trace or trace template.

See Also

How to add or remove events from a trace template or trace file (SQL Profiler)

Monitoring with SQL Profiler Event Categories


Properties (Data Columns Tab)

Use this tab to view or specify the following options.

Options

Unselected data

View all data columns not selected to capture in the trace or trace template.

Selected data

View all data columns selected to capture in the trace or trace template. Event Class and SPID are required columns and cannot be moved from the Selected data list.

Add

Add columns to the Selected Data list, specifying by which columns to group the trace. You cannot group by the EndTime or StartTime data columns.

Remove

Remove columns from the Selected Data list.

Up

Move a selected column up the list of selected columns or group-by columns.

Down

Move a selected column down the list of selected columns or group-by columns.

See Also

How to add or remove data columns from a trace template (SQL Profiler)

Monitoring with SQL Profiler Event Categories


Properties (Filters Tab)

Use this tab to view or specify the following options.

Options

Trace event criteria

Specify trace event criteria to restrict the collection of data about events that are defined in the trace. To apply a filter, expand a trace criterion and enter or modify the values in the boxes below each criterion.

Use the wildcard character (%) and semicolons to include any series of characters. For example, SQL%;MS% specifies that all events beginning with SQL and all events beginning with MS will be included in the trace.

Multiple filtering can be performed with Like, Not Like, Equals, and Not Equals operators.

Exclude system Ids

Capture fewer trace events by excluding events that reference most system objects. System objects usually are assigned Sytem IDs less than or equal to 100. Selecting this option sets Object Ids to greater than or equal to 100, thus eliminating most of the system objects from the trace. The trace becomes more selective because system objects that are being accessed can result in 50-75% of the trace events.

See Also

How to filter events in a trace template (SQL Profiler)

Limiting Traces


Trace Options (General Tab)

Use this tab to view or specify the following options.

Options

Template name

Select a template that comes with Microsoft® SQL Server™ to use for new traces.

Template file name

Specify the custom template file name to use for new traces, unless otherwise specified.

Start tracing immediately after making a connection

Specify to start tracing as soon as a connection to the server is made.

See Also

How to set trace definition defaults (SQL Profiler)


Trace Options (Display Tab)

Use this tab to view or specify the following options.

Options

Font name

Specify the font displayed in the SQL Profiler trace window.

Font size

Specify the size of the font (from 0 through 24) displayed in the SQL Profiler trace window.

See Also

How to set trace display defaults (SQL Profiler)


Source Table

Use this dialog box to view or specify the following options.

Options

SQL Server

Specify the server destination for the table.

Database

Specify the database destination for the table.

Owner

Specify the database owner of the table.

Table

Specify the table to which the trace appends data.

See Also

How to open a trace table (SQL Profiler)


Replay SQL Server

Use this dialog box to view or specify the following options.

Options

Replay SQL Server

Specify the server against which to replay the trace. Replay is used to re-create previously captured Microsoft® SQL Server™ activity to debug or profile events, or to stress the server.

Output file name

Specify the name and location of the file where the replay output will be saved. Save the output file to review and analyze errors and results at a later time.

Replay events in the order they were traced. This option enables debugging.

Specify to replay events in the order they were traced. This allows you to use debugging methods such as stepping through each trace.

Replay events using multiple threads. This option optimizes performance and disables debugging.

Specify to replay events using multiple threads. This optimizes performance, but debugging is disabled.

Display replay results

Specify to display the results of the replay. This is the default option. If the trace you are replaying is very large, you may want to disable this to save disk space.

See Also

How to open a trace data file (SQL Profiler)


Destination Table

Use this dialog box to view or specify the following options.

Options

SQL Server

Specify the server for the trace table.

Database

Specify the database for the trace table.

Owner

Specify the owner of the table

Table

Specify the table that holds the trace results.

See Also

How to save trace results to a table (SQL Profiler)


Find

Use this dialog box to view or specify the following options.

Options

Search value

Specify a value to search for.

Data column

Select the column you want to search in.

Find next

Find the next value that matches search criteria.

Find previous

Return to the previous value that matches the search criteria.

See Also

How to find a value or data column while tracing (SQL Profiler)